Bug 171786 - [PATCH] dns/py-dnspython: update to 1.10.0 and optionsNG
Summary: [PATCH] dns/py-dnspython: update to 1.10.0 and optionsNG
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-19 15:10 UTC by William Grzybowski
Modified: 2012-09-29 21:30 UTC (History)
0 users

See Also:


Attachments
py-dnspython.patch (3.94 KB, patch)
2012-09-19 15:10 UTC, William Grzybowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description William Grzybowski 2012-09-19 15:10:08 UTC
	Update to 1.10.0 and change to optionsNG

Fix: See attached patch
Comment 1 Edwin Groothuis freebsd_committer 2012-09-19 15:10:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-09-19 15:10:21 UTC
Maintainer of dns/py-dnspython,

Please note that PR ports/171786 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/171786

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-09-19 15:10:22 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Andrew Greenwood 2012-09-20 18:41:11 UTC
looks good to me.

On Wed, Sep 19, 2012 at 10:10 AM, Edwin Groothuis <edwin@freebsd.org> wrote:

> Maintainer of dns/py-dnspython,
>
> Please note that PR ports/171786 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/171786
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>



-- 
I'm nerdy in the extreme and whiter than sour cream
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2012-09-20 19:22:49 UTC
Responsible Changed
From-To: freebsd-python->rm

I will take it.
Comment 6 Ruslan Makhmatkhanov freebsd_committer 2012-09-29 21:20:12 UTC
State Changed
From-To: feedback->closed

Committed, thank you!
Comment 7 dfilter service freebsd_committer 2012-09-29 21:20:17 UTC
Author: rm
Date: Sat Sep 29 20:19:52 2012
New Revision: 305051
URL: http://svn.freebsd.org/changeset/ports/305051

Log:
  - update to 1.10.0
  - convert to optionsng
  
  while here:
  - limit python version to 2.x only
  - remove deprecated attribution in pkg-descr
  
  PR:		171786
  Submitted by:	William Grzybowski <william88 at gmail dot com>
  Approved by:	Andy Greenwood <greenwood.andy at gmail dot com> (prev maintainer)

Modified:
  head/dns/py-dnspython/Makefile
  head/dns/py-dnspython/distinfo
  head/dns/py-dnspython/pkg-descr
  head/dns/py-dnspython/pkg-plist

Modified: head/dns/py-dnspython/Makefile
==============================================================================
--- head/dns/py-dnspython/Makefile	Sat Sep 29 19:53:11 2012	(r305050)
+++ head/dns/py-dnspython/Makefile	Sat Sep 29 20:19:52 2012	(r305051)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	dnspython
-PORTVERSION=	1.9.4
+PORTVERSION=	1.10.0
 CATEGORIES=	dns python
 MASTER_SITES=	http://www.dnspython.org/kits/${PORTVERSION}/
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -10,35 +10,28 @@ PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 MAINTAINER=	rm@FreeBSD.org
 COMMENT=	A DNS toolkit for Python
 
-USE_PYTHON=		yes
-USE_PYDISTUTILS=	yes
+USE_PYTHON=	-2.7
+USE_PYDISTUTILS=yes
 
-OPTIONS=	PYCRYPTO "Enable pycrypto (part of dnssec needs it)" off
+OPTIONS_DEFINE=	PYCRYPTO
+PYCRYPTO_DESC=	Enable pycrypto (part of dnssec needs it)
 
-PORTDOCS=	\
-		ChangeLog \
-		README \
-		TODO
-EXAMPLE_FILES=	\
-		ddns.py \
-		e164.py \
-		mx.py \
-		name.py \
-		reverse.py \
-		reverse_name.py \
-		xfr.py \
+PORTDOCS=	ChangeLog README
+EXAMPLE_FILES=	ddns.py e164.py mx.py name.py reverse.py reverse_name.py xfr.py \
 		zonediff.py
 
+.include <bsd.port.options.mk>
+
 post-install:
 # docs
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
 .for file in ${PORTDOCS}
 	@${INSTALL_DATA} ${WRKSRC}/${file} ${DOCSDIR}
 .endfor
 .endif
 # examples
-.if !defined(NOPORTEXAMPLES)
+.if ${PORT_OPTIONS:MEXAMPLES}
 	@${MKDIR} ${EXAMPLESDIR}
 .for file in ${EXAMPLE_FILES}
 	@${INSTALL_DATA} ${WRKSRC}/examples/${file} ${EXAMPLESDIR}
@@ -48,10 +41,8 @@ post-install:
 	@${CHMOD} -R ${SHAREMODE} ${PYTHONPREFIX_SITELIBDIR}/dns/*
 	@${CHMOD} -R a+X ${PYTHONPREFIX_SITELIBDIR}/dns/*
 
-.include <bsd.port.pre.mk>
-
-.if defined(WITH_PYCRYPTO)
-RUN_DEPENDS+=	${PYTHON_SITELIBDIR}/Crypto/__init__.py:${PORTSDIR}/security/py-pycrypto
+.if ${PORT_OPTIONS:MPYCRYPTO}
+RUN_DEPENDS+=	${PYTHON_PKGNAMEPREFIX}crypto>0:${PORTSDIR}/security/py-pycrypto
 .endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/dns/py-dnspython/distinfo
==============================================================================
--- head/dns/py-dnspython/distinfo	Sat Sep 29 19:53:11 2012	(r305050)
+++ head/dns/py-dnspython/distinfo	Sat Sep 29 20:19:52 2012	(r305051)
@@ -1,2 +1,2 @@
-SHA256 (dnspython-1.9.4.tar.gz) = ab23f93b8ea33c7b2780d6093344a13c95a371e1d2c22f74ba5d076cc15d1918
-SIZE (dnspython-1.9.4.tar.gz) = 120126
+SHA256 (dnspython-1.10.0.tar.gz) = 4dc21450ec6ac94dd105b4e5f39a75b404ad45a30869ff73acb6fd4d9974f857
+SIZE (dnspython-1.10.0.tar.gz) = 124416

Modified: head/dns/py-dnspython/pkg-descr
==============================================================================
--- head/dns/py-dnspython/pkg-descr	Sat Sep 29 19:53:11 2012	(r305050)
+++ head/dns/py-dnspython/pkg-descr	Sat Sep 29 20:19:52 2012	(r305051)
@@ -1,5 +1,3 @@
-[ excerpt with modifications from developer's site ]
-
 dnspython is a DNS toolkit for Python. It supports almost all record
 types. It can be used for queries, zone transfers, and dynamic
 updates. It supports TSIG authenticated messages and EDNS0.
@@ -9,5 +7,4 @@ level classes perform queries for data o
 class, and return an answer set. The low level classes allow direct
 manipulation of DNS zones, messages, names, and records.
 
-Author: Bob Halley <halley@dnspython.org>
 WWW: http://www.dnspython.org/

Modified: head/dns/py-dnspython/pkg-plist
==============================================================================
--- head/dns/py-dnspython/pkg-plist	Sat Sep 29 19:53:11 2012	(r305050)
+++ head/dns/py-dnspython/pkg-plist	Sat Sep 29 20:19:52 2012	(r305051)
@@ -97,9 +97,6 @@
 %%PYTHON_SITELIBDIR%%/dns/rdtypes/ANY/ISDN.py
 %%PYTHON_SITELIBDIR%%/dns/rdtypes/ANY/ISDN.pyc
 %%PYTHON_SITELIBDIR%%/dns/rdtypes/ANY/ISDN.pyo
-%%PYTHON_SITELIBDIR%%/dns/rdtypes/ANY/KEY.py
-%%PYTHON_SITELIBDIR%%/dns/rdtypes/ANY/KEY.pyc
-%%PYTHON_SITELIBDIR%%/dns/rdtypes/ANY/KEY.pyo
 %%PYTHON_SITELIBDIR%%/dns/rdtypes/ANY/LOC.py
 %%PYTHON_SITELIBDIR%%/dns/rdtypes/ANY/LOC.pyc
 %%PYTHON_SITELIBDIR%%/dns/rdtypes/ANY/LOC.pyo
@@ -118,9 +115,6 @@
 %%PYTHON_SITELIBDIR%%/dns/rdtypes/ANY/NSEC3PARAM.py
 %%PYTHON_SITELIBDIR%%/dns/rdtypes/ANY/NSEC3PARAM.pyc
 %%PYTHON_SITELIBDIR%%/dns/rdtypes/ANY/NSEC3PARAM.pyo
-%%PYTHON_SITELIBDIR%%/dns/rdtypes/ANY/NXT.py
-%%PYTHON_SITELIBDIR%%/dns/rdtypes/ANY/NXT.pyc
-%%PYTHON_SITELIBDIR%%/dns/rdtypes/ANY/NXT.pyo
 %%PYTHON_SITELIBDIR%%/dns/rdtypes/ANY/PTR.py
 %%PYTHON_SITELIBDIR%%/dns/rdtypes/ANY/PTR.pyc
 %%PYTHON_SITELIBDIR%%/dns/rdtypes/ANY/PTR.pyo
@@ -133,9 +127,6 @@
 %%PYTHON_SITELIBDIR%%/dns/rdtypes/ANY/RT.py
 %%PYTHON_SITELIBDIR%%/dns/rdtypes/ANY/RT.pyc
 %%PYTHON_SITELIBDIR%%/dns/rdtypes/ANY/RT.pyo
-%%PYTHON_SITELIBDIR%%/dns/rdtypes/ANY/SIG.py
-%%PYTHON_SITELIBDIR%%/dns/rdtypes/ANY/SIG.pyc
-%%PYTHON_SITELIBDIR%%/dns/rdtypes/ANY/SIG.pyo
 %%PYTHON_SITELIBDIR%%/dns/rdtypes/ANY/SOA.py
 %%PYTHON_SITELIBDIR%%/dns/rdtypes/ANY/SOA.pyc
 %%PYTHON_SITELIBDIR%%/dns/rdtypes/ANY/SOA.pyo
@@ -199,18 +190,12 @@
 %%PYTHON_SITELIBDIR%%/dns/rdtypes/dsbase.py
 %%PYTHON_SITELIBDIR%%/dns/rdtypes/dsbase.pyc
 %%PYTHON_SITELIBDIR%%/dns/rdtypes/dsbase.pyo
-%%PYTHON_SITELIBDIR%%/dns/rdtypes/keybase.py
-%%PYTHON_SITELIBDIR%%/dns/rdtypes/keybase.pyc
-%%PYTHON_SITELIBDIR%%/dns/rdtypes/keybase.pyo
 %%PYTHON_SITELIBDIR%%/dns/rdtypes/mxbase.py
 %%PYTHON_SITELIBDIR%%/dns/rdtypes/mxbase.pyc
 %%PYTHON_SITELIBDIR%%/dns/rdtypes/mxbase.pyo
 %%PYTHON_SITELIBDIR%%/dns/rdtypes/nsbase.py
 %%PYTHON_SITELIBDIR%%/dns/rdtypes/nsbase.pyc
 %%PYTHON_SITELIBDIR%%/dns/rdtypes/nsbase.pyo
-%%PYTHON_SITELIBDIR%%/dns/rdtypes/sigbase.py
-%%PYTHON_SITELIBDIR%%/dns/rdtypes/sigbase.pyc
-%%PYTHON_SITELIBDIR%%/dns/rdtypes/sigbase.pyo
 %%PYTHON_SITELIBDIR%%/dns/rdtypes/txtbase.py
 %%PYTHON_SITELIBDIR%%/dns/rdtypes/txtbase.pyc
 %%PYTHON_SITELIBDIR%%/dns/rdtypes/txtbase.pyo
@@ -247,6 +232,9 @@
 %%PYTHON_SITELIBDIR%%/dns/version.py
 %%PYTHON_SITELIBDIR%%/dns/version.pyc
 %%PYTHON_SITELIBDIR%%/dns/version.pyo
+%%PYTHON_SITELIBDIR%%/dns/wiredata.py
+%%PYTHON_SITELIBDIR%%/dns/wiredata.pyc
+%%PYTHON_SITELIBDIR%%/dns/wiredata.pyo
 %%PYTHON_SITELIBDIR%%/dns/zone.py
 %%PYTHON_SITELIBDIR%%/dns/zone.pyc
 %%PYTHON_SITELIBDIR%%/dns/zone.pyo
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"